Subject: bug#46240: Sorting order of read-char-by-name

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2021 21:54:17 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 07 Feb 2021 20:56:57 +0200
> 
> >> +*** New user option 'read-char-by-name-sort'.
> >
> > I suggest to name this read-char-by-name-sort-order.
> 
> I always strive to shorten variable names as much as possible.
> Overly long names cause problems, especially in completions,
> and in any list of variables.  There are docstrings that can
> explain in more words about the variable purpose.
> 
> >> +*** New user option 'read-char-by-name-group'.
> >
> > I suggest to name this read-char-by-name-group-by-block.
> 
> The intention of this shorter name was to allow more
> options to be added to the same variable later.

<Shrug> those were suggestions, not requests.  The names you proposed
sounded not descriptive enough to me, so I looked for better ones.
feel free to ignore me.